Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: when i must upgrade for security reasons?

  1. #11
    Join Date
    Jul 2007
    Location
    San Jose, CA
    Posts
    1,027
    Rep Power
    10

    Default

    Martin,

    Just to validate that you're not going crazy--I see the same behavior on the links. SourceForge is totally unhelpful if you're trying to download 4.5.8, and the downloads page doesn't have 4.5.anything.

    I'm sure somebody in the Zimbra world will be able to help you with this once the sun rises a little higher on the West coast, but as of this moment it's definitely not helpful if you need the later 4.x releases. Sorry for the ulcer!

    Dan

  2. #12
    Join Date
    Jun 2007
    Posts
    14
    Rep Power
    8

    Default

    Actually I was really starting to reread the download site over and over again.

    It's just really strange to me to provide "very old" downloads and remove "old" downloads. Guess after all it's just some new-years cleanup that was a bit too effective

  3. #13
    Join Date
    Jul 2007
    Location
    San Jose, CA
    Posts
    1,027
    Rep Power
    10

    Default

    But just to clarify one thing. . .according to the FOSS release notes:
    You can upgrade from ZCS version 4.5.x to ZCS Open Source Edition 5.0.
    This means you do NOT have to go stepwise through all the 4.5.x editions in order to upgrade to 5.x as long as you are on SOME 4.5.x release. Therefore, really the only reason you should need any of the later versions is if you need to restore a backup having already been on that version.

    This should save you both time and some headaches--I'd hate to have to stare at the number of upgrade processes it'd take otherwise.

    Cheers,

    Dan

  4. #14
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    That's true. Wouldn't hurt to go to 4.5.6 at a min first, then go to 5.0. Either way, you should be okay.

  5. #15
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    >>> http://www.zimbra.com/community/downloads_previous.html
    Getting this thread back on track...Cedbl let us know if you have any more questions on those upgrades/platform changes.
    Cheers,

  6. #16
    Join Date
    Oct 2006
    Posts
    69
    Rep Power
    9

    Talking

    Thanks everybody: now i find links!

    Ok i synthetize my questions:
    1)What about:

    Quote Originally Posted by mmorse View Post
    A solution to get the FOSS 4.5.8+ builds is under construction & tracked by internal RFE 22314.
    Can i use 4.5.8 4.5.9 4.5.10 or not? There are risks in use them?

    2) of corse every update patch some old bugfix, but is possible to find new bug in the new version (this is normal for every software) so i would like to know when there are security reason like: bufferoverflow, ssl bug etc.. that can exploit my zimbra box. Ok i can read in Zimbra Product Portal but the point is that if i am in a stable situation (my user access with apop access) and i am not looking for enanche functionality or my use of zimbra doesn't fall in particular bugs i would like to distinguish when is it critical to upgrade and when i can plan without anxiety

    Please help me to understand these points.
    i use zimbra with big satisfaction but i have to balance upgrade and production environment (as all administrators)

  7. #17
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    We always suggest that you use the most recent GA version that you possibly can.
    It's a lot of customized instances of a serious collection of open-source software packages - OpenLDAP, MySQL, Apache, Tomcat, Jetty(5.0), Postfix, Lucene, Verity, ClamAV, SpamAssassin, DSPAM (though off by default) AMaViS/Amavisd-new, Aspell, James/Sieve, Perdition, NGINX(5.0), etc.
    The engineers balance including new versions of the above with security & enhancements in mind.
    If there ever are critical exploits in these apps it's announced it in the forums & NE users are contacted accordingly.
    For instance-this wasn't zimbra's fault, but perdition had a flaw: http://www.zimbra.com/forums/announc...ploit-bug.html -solved in 4.5.10
    Last edited by mmorse; 01-04-2008 at 01:19 AM.

  8. #18
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    First post in this thread says you were on 3.x? I would say it's at least time to get on 4.5.10 or even anything in the 4.5 series.
    EDIT: Re-read some prior posts & noticed you did get on 4.0.2 then 4.5.1 so that's good to hear

    We all certainly understand if you like to wait out new releases for a month to see if any issues arise; been there, upgraded some software to soon, got the t-shirt.
    Keep in mind you'll have to track all the versions of those apps I listed above to see if they have any issues themselves as time goes on.
    Anti-Virus stuff alone probably needs to be updated - a year difference can be huge in that regard.

    5.0 does have a TON of enhancements in both new features and performance.
    For starters it makes the jump to jetty: /blog/archives/2007/12/why_we_switched_to_jetty.html

    Just to skim the surface
    -and yes I know you're all POP right now so feel free to ignore these next one's- some new stuff includes:
    /blog/archives/2007/11/50_coolness_part_2.html
    /blog/archives/2007/08/shared_folders.html
    /blog/archives/2007/08/zimbra_briefcase_1.html
    /blog/archives/2007/07/izimbra.html
    /blog/archives/2007/03/lazy_loading.html
    Tasks, IM, etc, etc & the list goes on - check out the Hosted Demo

    There have been plenty of IMAP & POP updates as well: Zimbra Product Portal Release 5.0
    If you go here you can select bugs/RFEs by component & select different versions etc: Search for bugs - Advanced
    Once again, take care & don't forget to make backups before you upgrade!
    Last edited by mmorse; 01-04-2008 at 01:44 AM. Reason: 4.5.1

  9. #19
    Join Date
    Oct 2006
    Posts
    69
    Rep Power
    9

    Default thanks

    hi
    thanks: once time again zimbra team shows to be very kind
    i appreciate your answers.
    I'm not very good in english but thanks thanks thanks
    See you soon
    bye
    Last edited by cedbl; 01-04-2008 at 01:20 AM. Reason: my english!!

  10. #20
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    Happy upgrading to whatever version you may decide to 'rest at'

Similar Threads

  1. Successful upgrade from OpenSuSE 10.0 (4.5.9 to 5.0)
    By bradb21 in forum Installation
    Replies: 6
    Last Post: 01-02-2008, 10:02 AM
  2. Replies: 2
    Last Post: 10-04-2007, 03:20 PM
  3. 4.01 to 4.02 upgrade problem (with solution)
    By criley in forum Migration
    Replies: 2
    Last Post: 09-28-2006, 11:36 PM
  4. M1 -> M2 Upgrade Scripts
    By KevinH in forum Announcements
    Replies: 57
    Last Post: 12-15-2005, 09:10 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •